Search documentation of wx

# wxInitDialogEvent (wx v2.4.3.1)

View Source

A `wxInitDialogEvent` is sent as a dialog or panel is being initialised.

Handlers for this event can transfer data to the window.

The default handler calls `wxWindow:transferDataToWindow/1`.

See: Overview events

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxInitDialogEvent

## Events

Use `wxEvtHandler:connect/3` with `wxInitDialogEventType` to subscribe to events of this type.

# Summary

## Types

wxInitDialog()
wxInitDialogEvent()
wxInitDialogEventType()

# Types

# wxInitDialog()

    -type wxInitDialog() :: #wxInitDialog{type :: wxInitDialogEvent:wxInitDialogEventType()}.

# wxInitDialogEvent()

    -type wxInitDialogEvent() :: wx:wx_object().

# wxInitDialogEventType()

    -type wxInitDialogEventType() :: init_dialog.